gcc-multilib on ayufan's builds
#1
Hi.
I'm trying to compile some 32 bit binaries on my Rock64, running ayufan's stretch-minimal 0.6.32. I'm stuck on the following:


Quote:Package gcc-multilib is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'gcc-multilib' has no installation candidate

Anyone knows what to do?

The reason I'm doing this is because openhab only works well on 32 bit Java on arm, so I have to run openhab and all it's dependencies in 32 bits. Java is up and running, what I need to do now is build telldus-core.

I've found threads with Raspberry users having the same problem, so I guess this is in some way arm related?

edit: Ok, looks like I'm completely stuck. Maybe it isn't possible compiling armhf binaries on arm64 anyway? Found this: https://stackoverflow.com/questions/4497...v8-machine
  Reply
#2
Hi,
I am not familiar with the Tellbus/Tellstick binding myself - what is telldus-core that you are trying to compile?
As far as I can see from the sources, the binding does not require any native parts, it merely uses JNA (which should be readily available for all platforms).
Wrt how to compile armhf on a 64-bit OS, I do not have an answer either - the simplest way might be to simply do this job on an 32-bit OS and copy the result over :-).
Regards,
Kai
  Reply
#3
(05-03-2018, 11:46 PM)kai Wrote: Hi,
I am not familiar with the Tellbus/Tellstick binding myself - what is telldus-core that you are trying to compile?
As far as I can see from the sources, the binding does not require any native parts, it merely uses JNA (which should be readily available for all platforms).
Wrt how to compile armhf on a 64-bit OS, I do not have an answer either - the simplest way might be to simply do this job on an 32-bit OS and copy the result over :-).
Regards,
Kai

Oh, what a nice surprise seeing you here, kai Tongue

Telldus-core are some libraries and executables from Telldus that the binding needs installed and running on the server to work, and it needs to be in the correct bitness. See this thread for more info on that subject. I actually tried compiling them on my old 32-bit server and copying the executables over, but they turned out not to be working anyway since the old server is Debian 8 and the new one is Debian 9 so the executables are linked to wrong version of stuff like libconfuse.

The best thing from my perspective would be to run everything in 64 bits, but I read through this thread and came to the conclusion that it doesn't, though I don't understand the details. Tried to revive the thread, you're welcome to comment on that Wink
  Reply
#4
I am everywhere :-D

Ok, thanks for the background infos. Will try to follow up on the openHAB forum then.
  Reply


Possibly Related Threads...
Thread Author Replies Views Last Post
  Ayufan LXDE with Teamviewer or Dwservice? cenicero 0 89 03-14-2020, 06:39 AM
Last Post: cenicero
Information New Builds from ayufan (0.8.X) w Video/3D/Mate desktop Luke 37 6,680 09-09-2019, 04:01 AM
Last Post: ayufan
Star [archived] New Stable release from Ayufan (0.8.3) Luke 3 911 07-10-2019, 10:40 AM
Last Post: Malmgren
Star ayufan's 0.8.0rc12 (Rock64 Rev 3) Luke 1 463 06-13-2019, 02:05 AM
Last Post: pineadmin
  Ayufan Debian Stretch Openmediavault 4 5G Wifi Not Connecting Poincare 0 253 03-26-2019, 07:28 PM
Last Post: Poincare
  ayufan 0.7.12 pre-release images (help testing) Luke 1 1,150 03-22-2019, 05:11 PM
Last Post: Luke
Star 0.7.8 Linux release from ayufan for Rock64 Luke 30 23,638 02-25-2019, 02:53 PM
Last Post: Luke
  testing latest ayufan u-boot (2017.09-rockchip-ayufan-1035-gd646df03ac) jandastroy 1 458 12-24-2018, 08:58 PM
Last Post: tllim
  GPU not working with Ubuntu and Debian builds kdawgpoker 10 1,732 12-19-2018, 03:53 PM
Last Post: va88
  HDMI sound on ayufan 0.7.x Trash_Can_Man 0 391 10-26-2018, 12:57 PM
Last Post: Trash_Can_Man

Forum Jump:


Users browsing this thread: 1 Guest(s)